Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1083993 - OVIRT35 - [RFE] using foreman provider to provision bare-metal hosts
Summary: OVIRT35 - [RFE] using foreman provider to provision bare-metal hosts
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Yaniv Bronhaim
QA Contact: Tareq Alayan
URL:
Whiteboard: infra
Depends On:
Blocks: 1083998
TreeView+ depends on / blocked
 
Reported: 2014-04-03 11:23 UTC by Oved Ourfali
Modified: 2016-02-10 19:33 UTC (History)
12 users (show)

Fixed In Version: ovirt-engine-3.5.0_beta
Doc Type: Enhancement
Doc Text:
Wiki page: http://www.ovirt.org/Features/AdvancedForemanIntegration
Clone Of: 1081371
Environment:
Last Closed: 2014-10-17 12:30:18 UTC
oVirt Team: Infra


Attachments (Terms of Use)
screenshot (deleted)
2014-08-13 11:08 UTC, Netbulae
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1142649 None None None Never
oVirt gerrit 27621 master MERGED core: Foreman discovery host integration to ovirt Never
oVirt gerrit 27623 master MERGED ui: adding discover host integration to AddHost view Never

Internal Links: 1142649

Description Oved Ourfali 2014-04-03 11:23:32 UTC
Description of problem:

Integrating foreman discover and provision abilities to oVirt:
oVirt user will be able to see general information about bare-metal hosts in the data-ceneter and install them automatically with configurable installation parameters, e.g ovirt-node installation, rhel and inc.

Comment 1 Yaniv Bronhaim 2014-05-19 07:59:22 UTC
Currently we work on fixing [1] with Foreman developers, after having the fix inside we'll be able to show full cycle as described in wiki page

[1] http://projects.theforeman.org/issues/5781

Comment 2 Netbulae 2014-08-13 11:07:59 UTC
I tested it today again and have everything setup correctly. 

It starts deployment and installs vdsm using puppet but it stays stuck on "Installing OS" 

There are no errors in the logs and I left it for a couple of hours now.

Also there is no Maintenance or Reinstall option...

See screenshot I attach. 

The middle two hosts, I have installed by hand. The first and last are deployed through foreman from oVirt.

Comment 3 Netbulae 2014-08-13 11:08:37 UTC
Created attachment 926373 [details]
screenshot

Comment 4 Sandro Bonazzola 2014-10-17 12:30:18 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.